#pragma once
#include <boost/unordered_map.hpp>
#include <vector>
struct M_ActivitySailingSignCFGData
{
	//任务ID
	int mId;
	//类型
	int mType;
	//天数描述
	std::string mDesc;
	//玩家等级条件
	int mPlayerLvCond;
	//炮倍条件
	int mTurretLvCond;
	//奖励物品ID
	std::vector<int> mAwardItemID;
	//奖励物品数量
	std::vector<int> mAwardItemCounts;
	//补卡vip等级
	int mVipLevel;
	//解锁天数
	int mUnlockDay;
};

class M_ActivitySailingSignCFG
{
public:
private:
	static std::auto_ptr<M_ActivitySailingSignCFG> msSingleton;
public:
	int GetCount();
	const M_ActivitySailingSignCFGData* GetData(int Id);
	boost::unordered_map<int, M_ActivitySailingSignCFGData>& GetMapData();
	void Reload();
	void Load(const std::string& path);
	void Load();
	static M_ActivitySailingSignCFG* GetSingleton();
private:
	boost::unordered_map<int, M_ActivitySailingSignCFGData> mMapData;
};
